# Update variant

## PUT /public/v1/integration/extensions/{extensionId}/terms/{termId}/variants/{id}

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/integration/extensions/{extensionId}/terms/{termId}/variants/{id}":{"put":{"tags":["TermVariants"],"parameters":[{"name":"termId","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"extensionId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTermVariant"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateTermVariant"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateTermVariant"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermVariant"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"UpdateTermVariant":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"}},"additionalProperties":false},"TermVariant":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/TermVariantAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"type":{"enum":["Online","File"],"type":"string"},"assetUrl":{"type":"string"},"languageCode":{"type":"string","nullable":true},"description":{"type":"string"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"},"filename":{"type":"string","nullable":true},"size":{"type":"integer","format":"int32","nullable":true},"contentType":{"type":"string"},"term":{"type":"object","allOf":[{"$ref":"#/components/schemas/TermRef"}]},"fileId":{"type":"string"}},"additionalProperties":false},"TermVariantAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"TermRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
